summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-04-29 13:32:57 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-04-29 13:33:13 +0200
commitf8a69c10c8cbf183849b238d0a8027b08f39db34 (patch)
tree379c7d93c3bd9bdc590196bc97c3f4fc9096d1ad /app-arch/unrar
parentapp-arch/rar: bump to v5.7.1 (diff)
downloadgentoo-f8a69c10c8cbf183849b238d0a8027b08f39db34.tar.gz
gentoo-f8a69c10c8cbf183849b238d0a8027b08f39db34.tar.bz2
gentoo-f8a69c10c8cbf183849b238d0a8027b08f39db34.zip
app-arch/unrar: bump to v5.7.5
Package-Manager: Portage-2.3.64, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'app-arch/unrar')
-rw-r--r--app-arch/unrar/Manifest1
-rw-r--r--app-arch/unrar/unrar-5.7.5.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
index 2283b872145..d14cbb54314 100644
--- a/app-arch/unrar/Manifest
+++ b/app-arch/unrar/Manifest
@@ -4,3 +4,4 @@ DIST unrar-5.7.1.tar.gz 228011 BLAKE2B d37a461e8d3faf80931d73eda8f95196068faa2f4
DIST unrar-5.7.2.tar.gz 229011 BLAKE2B 1863db03b45f5006591ca08ea706609e443f2be632e37427b51c8920e008922575c4126ee2e12cd1a5badb3070c739c13d00218527908df32a708302c1b7d801 SHA512 de272bcea36002f5bc11a1ded3f613f0ce38d0617041806900a544fbf26d74f5d7569b20e8240c8c2e43b1fde4684665b3b91f7e81386c94ba14f89a91811838
DIST unrar-5.7.3.tar.gz 228465 BLAKE2B 997bad8316ea16db460d0b9e05d0ee162d652af8686d8ce07f5621b445c806ced180b84bfc13bf7cb036645be1acc5cb0b0a19288b9fc764a34cce881e59775e SHA512 958e1d0757a902b20dd56cc26522d7b8b379a427d1f958205558732ec61e1a1f6275fe35e6601347259c9812a056d7bb04a7e82fefcb3e3dfbb3b0f1a84cfea0
DIST unrar-5.7.4.tar.gz 228754 BLAKE2B c17faa7c5cc2f58f1f9c105138f3a880f11aa539c9b90be261cadc94c5c3497dae302078e5d9f9df08c7ccc9b30ef324ce7449b7f8d11613422c5466d36969c5 SHA512 46087efce622e45f63b776c51856bf35599863dee164dd149df0dcac18b1b5c912e0419430ceb753c03493307ed1978be8cad51b1d69dca8fcc9bc66b9ea3a58
+DIST unrar-5.7.5.tar.gz 228818 BLAKE2B 2bd9cfaed07802147af9a3457cea3f78f464cc26e2e20ef2c15817fffb7dc275fd326fd96b089257a8044982c0ae130ca3dc42126356d973ee6a8afd43e28df0 SHA512 101a21a20d8e30ca2cccc1605e332579064d362feacb36e9d4a7cd5218585298dcb48ec2805ff9523ae9b25e8e3d3e7557b73ea457702c6cb6d8c50d324ea1f4
diff --git a/app-arch/unrar/unrar-5.7.5.ebuild b/app-arch/unrar/unrar-5.7.5.ebuild
new file mode 100644
index 00000000000..5f9fd5ccc82
--- /dev/null
+++ b/app-arch/unrar/unrar-5.7.5.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit flag-o-matic multilib toolchain-funcs
+
+MY_PN="${PN}src"
+
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="https://www.rarlab.com/rar_add.htm"
+SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="unRAR"
+# subslot = soname version
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
+
+S=${WORKDIR}/unrar
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.5.5-build.patch
+ "${FILESDIR}"/${PN}-5.5.5-honor-flags.patch
+)
+
+src_prepare() {
+ default
+
+ local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
+ else
+ sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
+ fi
+ sed -i "${sed_args[@]}" makefile || die
+}
+
+src_configure() {
+ mkdir -p build-{lib,bin}
+ printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
+ cp build-{lib,bin}/Makefile || die
+}
+
+src_compile() {
+ unrar_make() {
+ emake CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
+ }
+
+ unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname) || die
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV}) || die
+
+ unrar_make -C build-bin
+}
+
+src_install() {
+ dobin build-bin/unrar
+ dodoc readme.txt
+
+ dolib.so build-lib/libunrar*
+
+ insinto /usr/include/libunrar${PV%.*.*}
+ doins *.hpp
+ dosym libunrar${PV%.*.*} /usr/include/libunrar
+
+ find "${ED}" -name "*.a" -delete || die
+}